Description

Testing the frontend behavior in functional tests creates currently an own PHP sub-request to execute TypoScript in frontent context.
Several hooks collect called cObjects and try to find the correct nesting levels. Albeit this is working for the current tests, it is way too
complex for extending the tests for further scenarios like for FAL and Extbase.

The hook magic is resolved and explicit render functions, called via TypoScript, collect the data an output aggregated JSON data in
the end.
Besides that the PHP sub-request execution now re-uses the PHPUnit utilities to determine and run the accordant executables.

Associated revisions
Revision 85f37a09 - 2014-06-12 17:52 - Oliver Hader

[TASK] Reduce complexity in frontend functional tests

Testing the frontend behavior in functional tests creates
currently an own PHP sub-request to execute TypoScript in
frontent context.
Several hooks collect called cObjects and try to find the
correct nesting levels. Albeit this is working for the
current tests, it is way too complex for extending the
tests for further scenarios like for FAL and Extbase.

The hook magic is resolved and explicit render functions,
called via TypoScript, collect the data an output aggregated
JSON data in the end. Besides that the PHP sub-request
execution now re-uses the PHPUnit utilities to determine
and run the accordant executables.

Resolves: #59487
Releases: 6.2
Change-Id: Ic9eeadee5471a3e0e40d2dffb69b38dec16a0aa1
Reviewed-on: https://review.typo3.org/30515
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
#1 - 2014-06-11 12:37 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30515

#2 - 2014-06-11 12:39 - Oliver Hader
- Assigned To set to Oliver Hader

#3 - 2014-06-11 13:08 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30515

#4 - 2014-06-12 13:15 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/30515

#5 - 2014-06-12 18:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:85f37a098d2050e9faeab6ea27bd507b19bc72e2.
